
@import "tailwindcss/base";
@import "tailwindcss/components";

@import "../tailwind/components.css";
@import "tailwindcss/utilities";

@layer base {
    
    :root {
        direction: rtl;
        --color-primary: theme("colors.primary");
        --color-secondary: theme("colors.secondary");
        --color-orange: theme("colors.orange");
        --color-neutral: theme("colors.neutral");
        --color-info: theme("colors.info");
        --color-success: theme("colors.success");
        --color-warning: theme("colors.warning");
        --color-error: theme("colors.error");
        /* --color-gradient-first: theme("colors.gradient-first");
        --color-gradient-second: theme("colors.gradient-second"); */
        
    }
    @font-face {
        font-family: "sans";
        font-style: normal;
        font-weight: 400;
        src: url("../../public/fonts/sans/IRANSansWebFaNum.ttf");
    }
    html {
        
        font-family: "sans";
    }
    
    :lang(en) {
        font-family: var(--font-figtree);
    }
    
}

@keyframes rotation {
    0% {
      transform: rotate(0);
    }

    50% {
        transform : rotate(90deg)
    }
  
    100% {
      transform: rotate(180deg);
    }
  }
  
  .rotation {
    animation: rotation 0.2s ease-in forwards;
  }

  @keyframes closeRotation {
    0% {
      transform: rotate(180deg);
    }

    50% {
        transform : rotate(270deg)
    }
  
    100% {
      transform: rotate(360deg);
    }
  }
  
  .closeRotation {
    animation: closeRotation 0.2s ease-out forwards;
  }

  /* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}
